version: 13
jobs:
- name: Release
  steps:
  - !CheckoutStep
    name: checkout
    cloneCredential: !DefaultCredential {}
    withLfs: false
    withSubmodules: true
    condition: ALL_PREVIOUS_STEPS_WERE_SUCCESSFUL
  - !CommandStep
    name: detect build version
    image: 1dev/build-environment:1.1
    commands:
    - set -e
    - echo "Detecting project version (may require some time while downloading maven
      dependencies)..."
    - echo $(mvn org.apache.maven.plugins:maven-help-plugin:3.2.0:evaluate -Dexpression=project.version
      -q -DforceStdout) > buildVersion
    useTTY: false
    condition: ALL_PREVIOUS_STEPS_WERE_SUCCESSFUL
  - !SetBuildVersionStep
    name: set build version
    buildVersion: '@file:buildVersion@'
    condition: ALL_PREVIOUS_STEPS_WERE_SUCCESSFUL
  - !CommandStep
    name: deploy
    image: 1dev/build-environment:1.1
    commands:
    - mvn deploy -Dmaven.deploy.password=@secrets:maven-deploy-password@
    useTTY: false
    condition: ALL_PREVIOUS_STEPS_WERE_SUCCESSFUL
  - !CreateTagStep
    name: create tag
    tagName: v@build_version@
    condition: ALL_PREVIOUS_STEPS_WERE_SUCCESSFUL
  triggers:
  - !BranchUpdateTrigger
    branches: main
  retryCondition: never
  maxRetries: 3
  retryDelay: 30
  cpuRequirement: 250
  memoryRequirement: 128
  caches:
  - key: maven-cache
    path: /root/.m2/repository
  timeout: 3600
- name: Sync with GitHub
  steps:
  - !CheckoutStep
    name: 'checkout '
    cloneCredential: !DefaultCredential {}
    withLfs: false
    withSubmodules: true
    condition: ALL_PREVIOUS_STEPS_WERE_SUCCESSFUL
  - !CommandStep
    name: 'command '
    image: alpine/git:1.0.7
    commands:
    - git config --global --unset http.extraHeader
    - git push https://robinshine:@secrets:github-token@@@github.com/theonedev/parent
      HEAD:main
    useTTY: false
    condition: ALL_PREVIOUS_STEPS_WERE_SUCCESSFUL
  triggers:
  - !BranchUpdateTrigger
    branches: main
    projects: onedev/parent
  retryCondition: never
  maxRetries: 3
  retryDelay: 30
  cpuRequirement: 250
  memoryRequirement: 128
  timeout: 3600
